library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternSphPhi

class description - source file - inheritance tree (.pdf)

## class TGeoPatternSphPhi : public TGeoPatternFinder

| Inheritance Chart:
`TObject`
| <- | `TGeoPatternFinder`
| <- | `TGeoPatternSphPhi` |

        public:

                             TGeoPatternSphPhi()
                             TGeoPatternSphPhi(TGeoVolume* vol, Int_t ndivisions)
                             TGeoPatternSphPhi(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                             TGeoPatternSphPhi(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                             TGeoPatternSphPhi(const TGeoPatternSphPhi&)
                     virtual ~TGeoPatternSphPhi()
                virtual void cd(Int_t idiv)
              static TClass* Class()
           virtual TGeoNode* FindNode(Double_t* point)
             virtual TClass* IsA() const
          TGeoPatternSphPhi& operator=(const TGeoPatternSphPhi&)
                virtual void SavePrimitive(ofstream& out, Option_t* option)
                virtual void ShowMembers(TMemberInspector& insp, char* parent)
                virtual void Streamer(TBuffer& b)
                        void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternSphPhi()

     Default constructor

TGeoPatternSphPhi(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor
     compute step, start, end

TGeoPatternSphPhi(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternSphPhi(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternSphPhi()

     Destructor

TGeoNode* FindNode(Double_t * /*point*/)

     find the node containing the query point

void SavePrimitive(ofstream &out, Option_t * /*option*/)

     Save a primitive as a C++ statement(s) on output stream "out".

### Inline Functions

                          void cd(Int_t idiv)
                       TClass* Class()
                       TClass* IsA() const
                          void ShowMembers(TMemberInspector& insp, char* parent)
                          void Streamer(TBuffer& b)
                          void StreamerNVirtual(TBuffer& b)
             TGeoPatternSphPhi TGeoPatternSphPhi(const TGeoPatternSphPhi&)
            TGeoPatternSphPhi& operator=(const TGeoPatternSphPhi&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.12 2005/02/28 20:52:43 brun Exp $